jQuery(document).ready(function($) {

	/* style switch */
	if ($('#button_style').val() == 'builtin') {
		$('#style').parent().parent().show();
		$('#button_style').parent().parent().parent().find('.my-color-field').parent().parent().hide();
		$('.reset-custom-theme').hide();
	} else {
		$('#style').parent().parent().hide();
		$('#button_style').parent().parent().parent().find('.my-color-field').parent().parent().show();
		$('.reset-custom-theme').show();
	}
	
	$('#button_style').change(function(){
		if ($(this).val() == 'custom') {
			$('#style').parent().parent().hide();
			$(this).parent().parent().parent().find('.my-color-field').parent().parent().parent().parent().show();
			$('.reset-custom-theme').show();
			$('.ajax-live-preview-custom').parent().hide();
			
		} else {
			$('#style').parent().parent().show();
			$(this).parent().parent().parent().find('.my-color-field').parent().parent().parent().parent().hide();
			$('.reset-custom-theme').hide();
			$('.ajax-live-preview').parent().hide();
		}
	});

});